summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..938564f
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+MAKE=make
+
+#
+# Ensure that the build environment is sane
+#
+build_check() {
+ if [ -z "${GLOBAL_BUILD_SOURCED}" ]
+ then
+ echo "fatal: Please run '. dev/build.env'"
+ exit 1
+ fi
+}
+
+#
+# Build a directory
+#
+# $1: Directory to build
+# $2: Subsystem name
+#
+build_dir() {
+ pushd $1
+ echo "[*] Building $2..."
+ $MAKE
+ popd
+}
+
+#
+# Kick off the entire build proccess
+#
+build() {
+ mkdir -p artifacts/
+
+ build_dir \
+ boot \
+ "bootloader"
+}
+
+build_check
+build